# Ipopt::SensAlgorithm Class Reference

`#include <SensAlgorithm.hpp>`

Inheritance diagram for Ipopt::SensAlgorithm:
[legend]

List of all members.

## Public Member Functions
| SensAlgorithm (std::vector< SmartPtr< SchurDriver > > &driver_vec, SmartPtr< SensitivityStepCalculator > sens_step_calc, SmartPtr< Measurement > measurement, Index n_sens_steps)
| This is the interface for the actual controller.
virtual | ~SensAlgorithm ()
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| Implementation of the initialization method that has to be overloaded by for each derived class.
SensAlgorithmExitStatus | Run ()
| Main loop: Wait for new measurement, Get new step, maybe deal with bounds, see to it that everything happens in the required timeframe.
## Private Attributes
std::vector< SmartPtr < SchurDriver > > | driver_vec_
SmartPtr < SensitivityStepCalculator > | sens_step_calc_
SmartPtr< Measurement > | measurement_
Index | n_sens_steps_

## Detailed Description

Definition at line 19 of file SensAlgorithm.hpp.

## Constructor & Destructor Documentation

Ipopt::SensAlgorithm::SensAlgorithm | ( | std::vector< SmartPtr< SchurDriver > > & | driver_vec,
|  | SmartPtr< SensitivityStepCalculator > | sens_step_calc,
|  | SmartPtr< Measurement > | measurement,
|  | Index | n_sens_steps |
| ) |  |  |

This is the interface for the actual controller.

It handles Data input to the controller (measurement) and returns controls

virtual Ipopt::SensAlgorithm::~SensAlgorithm | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool Ipopt::SensAlgorithm::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[virtual]`

Implementation of the initialization method that has to be overloaded by for each derived class.

Implements Ipopt::AlgorithmStrategyObject.

SensAlgorithmExitStatus Ipopt::SensAlgorithm::Run | ( |  | ) |

Main loop: Wait for new measurement, Get new step, maybe deal with bounds, see to it that everything happens in the required timeframe.

## Member Data Documentation

std::vector< SmartPtr<SchurDriver> > Ipopt::SensAlgorithm::driver_vec_`[private]`

Definition at line 43 of file SensAlgorithm.hpp.

SmartPtr<SensitivityStepCalculator> Ipopt::SensAlgorithm::sens_step_calc_`[private]`

Definition at line 44 of file SensAlgorithm.hpp.

SmartPtr<Measurement> Ipopt::SensAlgorithm::measurement_`[private]`

Definition at line 45 of file SensAlgorithm.hpp.

Index Ipopt::SensAlgorithm::n_sens_steps_`[private]`

Definition at line 46 of file SensAlgorithm.hpp.

The documentation for this class was generated from the following file:

- contrib/sIPOPT/src/SensAlgorithm.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines